#
#
#
service: serverless-example
provider:
  name: aws
  runtime: nodejs10.x
  stage: production
  region: ap-northeast-2

plugins:
  - serverless-functions-base-path
  - serverless-webpack
  - serverless-offline
  - serverless-plugin-split-stacks

custom:
  functionsBasePath: src/app/controllers
  webpack:
    webpackConfig: webpack.config.ts
    includeModules: true

functions:
  index:
    handler: root.index
    events:
      - http:
          method: ANY
          path: /
  get-motd:
    handler: root.get-motd
    events:
      - http:
          method: GET
          path: /motd

  sum:
    handler: math.sum
    events:
      - http:
          method: GET
          path: /sum/{a}/{b}
